using System;
using System.Text;
using System.Text.RegularExpressions;

namespace RSSReader
{
	/// <summary>
	/// Summary description for StripHtml.
	/// </summary>
	public class StripHtml
	{

		#region Private static variables 

		private static Regex stripHtml;

		#endregion 

		#region Static constructor 

		static StripHtml()
		{
			stripHtml = new Regex( @"(<\/?)(?i:(?<element>a(bbr|cronym|ddress|pplet|rea)?|b(ase(font)?|do|ig|lockquote|ody|r|utton)?|c(aption|enter|ite|(o(de|l(group)?)))|d(d|el|fn|i(r|v)|l|t)|em|f(ieldset|o(nt|rm)|rame(set)?)|h([1-6]|ead|r|tml)|i(frame|mg|n(put|s)|sindex)?|kbd|l(abel|egend|i(nk)?)|m(ap|e(nu|ta))|no(frames|script)|o(bject|l|pt(group|ion))|p(aram|re)?|q|s(amp|cript|elect|mall|pan|t(r(ike|ong)|yle)|u(b|p))|t(able|body|d|extarea|foot|h|itle|r|t)|u(l)?|var))(\s(?<attr>.+?))*>", RegexOptions.IgnorePatternWhitespace | RegexOptions.Multiline | RegexOptions.Compiled );
		}

		#endregion 

		#region Public static methods 

		public static string Strip( string Data )
		{
			return stripHtml.Replace( Data, "" );
		}

		#endregion 

	}

}
